# Class RibbonAchv

#### Hierarchy (view full)

- Achv
  - RibbonAchv

- Defined in src/system/achv.ts:88

#####
Index

### Constructors

constructor

### Properties

description
hasParent
iconImage
id
localizationKey
name
parentId
ribbonAmount
score
secret

### Methods

getDescription
getIconImage
getName
getTier
setSecret
validate

## Constructors

### constructor

- new RibbonAchv(localizationKey, name, ribbonAmount, iconImage, score): RibbonAchv

- #### Parameters

  - localizationKey: string
  - name: string
  - ribbonAmount: number
  - iconImage: string
  - score: number

  #### Returns RibbonAchv

  Overrides Achv.constructor

  - Defined in src/system/achv.ts:91

## Properties

### description

description: string

Inherited from Achv.description

- Defined in src/system/achv.ts:20

### hasParent

hasParent: boolean

Inherited from Achv.hasParent

- Defined in src/system/achv.ts:25

### iconImage

iconImage: string

Inherited from Achv.iconImage

- Defined in src/system/achv.ts:21

### id

id: string

Inherited from Achv.id

- Defined in src/system/achv.ts:18

### localizationKey

localizationKey: string

Inherited from Achv.localizationKey

- Defined in src/system/achv.ts:17

### name

name: string

Inherited from Achv.name

- Defined in src/system/achv.ts:19

### parentId

parentId: string

Inherited from Achv.parentId

- Defined in src/system/achv.ts:26

### ribbonAmount

ribbonAmount: number

- Defined in src/system/achv.ts:89

### score

score: number

Inherited from Achv.score

- Defined in src/system/achv.ts:22

### secret

secret: boolean

Inherited from Achv.secret

- Defined in src/system/achv.ts:24

## Methods

### getDescription

- getDescription(): string

- #### Returns string

  Inherited from Achv.getDescription

  - Defined in src/system/achv.ts:44

### getIconImage

- getIconImage(): string

- #### Returns string

  Inherited from Achv.getIconImage

  - Defined in src/system/achv.ts:48

### getName

- getName(): string

- #### Returns string

  Inherited from Achv.getName

  - Defined in src/system/achv.ts:39

### getTier

- getTier(): AchvTier

- #### Returns AchvTier

  Inherited from Achv.getTier

  - Defined in src/system/achv.ts:62

### setSecret

- setSecret(hasParent?): this

- #### Parameters

  - `Optional` hasParent: boolean

  #### Returns this

  Inherited from Achv.setSecret

  - Defined in src/system/achv.ts:52

### validate

- validate(scene, args): boolean

- #### Parameters

  - scene: default
  - args: any[]

  #### Returns boolean

  Inherited from Achv.validate

  - Defined in src/system/achv.ts:58